####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/aclock/Makefile,v $
#

####### Files

HEADERS	=	aclock.h
SOURCES	=	aclock.cpp	main.cpp
OBJECTS	=	aclock.o	main.o
SRCMETA	=	mclock.cpp
OBJMETA	=	mclock.o
TARGET	=	aclock

####### Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMETA)
	$(CC) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LFLAGS)

depend:
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

showfiles:
	@echo $(SOURCES) $(HEADERS) Makefile

clean:
	-rm -f *.o *.bak *~ *% #*
	-rm -f $(SRCMETA) $(TARGET)

####### Meta objects

mclock.cpp: aclock.h
	$(MOC) -o mclock.cpp aclock.h

# DO NOT DELETE THIS LINE -- make depend depends on it.
